Summary:	Spellchecking library for Python 3
Summary(pl.UTF-8):	Biblioteka Pythona 3 sprawdzająca pisownię
Name:		python3-pyenchant
Version:	3.2.2
Release:	3
License:	LGPL v2.1+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyenchant/
Source0:	https://files.pythonhosted.org/packages/source/p/pyenchant/pyenchant-%{version}.tar.gz
# Source0-md5:	15d45b7517c80cfa5d9fa636a88e0bf9
URL:		https://pypi.org/project/pyenchant/
BuildRequires:	python3-devel >= 1:3.5
BuildRequires:	python3-setuptools >= 1:7
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
# or enchant2 (up to 2.2?)
Requires:	enchant >= 1.6.0
Requires:	python3-libs >= 1:3.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyEnchant is a set of language bindings and some wrapper classes to
make the excellent Enchant spellchecker available as a Python module.

%description -l pl.UTF-8
PyEnchant to zbiór dowiązań języka i klas obudowujących
udostępniających świetną bibliotekę sprawdzania pisowni Enchant jako
moduł Pythona.

%prep
%setup -q -n pyenchant-%{version}

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changelog README.rst
%{py3_sitescriptdir}/enchant
%{py3_sitescriptdir}/pyenchant-%{version}-py*.egg-info
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyenchant.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> af63f06
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c9edc21
- python 3.13 rebuild

* Sun Apr 02 2023 Jakub Bogusz <qboosh@pld-linux.org> 18db12e
- python-pyenchant.spec updated to 3.2.2 for python 3.5+

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 78553e4
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0dea62f
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 93d5e30
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> ad6ccad
- release 2 (by relup.sh)

* Wed Jan 01 2020 Jakub Bogusz <qboosh@pld-linux.org> dde642e
- new URLs, updated to 2.0.0
- removed outdated ez_setup patch
- added python3 package

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> de6a726
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f4bb12b
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6d9c001
- automatic change: use py_build/py_install macros

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 007f84c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 4517f31
- updated to 1.5.3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 21f01a5
- release 2

* Tue Feb 24 2009 duddits <duddits@pld-linux.org> 842d216
- up to 1.5.1
- patch for ez_setup added
- python paths revised: %{py_sitedir} -> %{python_sitelib}

* Tue Feb 24 2009 duddits <duddits@pld-linux.org> ae0294b
- needed for 1.5.1; disables ez_setup since we have setuptools

* Mon Nov 05 2007 Jakub Bogusz <qboosh@pld-linux.org> df9362e
- updated to 1.3.1

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 7e0970f
- updated to 1.3.0

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b504cd8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc7d51f
- converted to UTF-8

